org.apache.flume.instrumentation.kafka

## Interface KafkaSinkCounterMBean

- All Known Implementing Classes:
    KafkaSinkCounter

      public interface KafkaSinkCounterMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBatchCompleteCount()`
    `long` | `getBatchEmptyCount()`
    `long` | `getBatchUnderflowCount()`
    `long` | `getConnectionClosedCount()`
    `long` | `getConnectionCreatedCount()`
    `long` | `getConnectionFailedCount()`
    `long` | `getEventDrainAttemptCount()`
    `long` | `getEventDrainSuccessCount()`
    `long` | `getKafkaEventSendTimer()`
    `long` | `getRollbackCount()`
    `long` | `getStartTime()`
    `long` | `getStopTime()`
    `String` | `getType()`

- - ### Method Detail

    - #### getKafkaEventSendTimer

          long getKafkaEventSendTimer()

    - #### getRollbackCount

          long getRollbackCount()

    - #### getConnectionCreatedCount

          long getConnectionCreatedCount()

    - #### getConnectionClosedCount

          long getConnectionClosedCount()

    - #### getConnectionFailedCount

          long getConnectionFailedCount()

    - #### getBatchEmptyCount

          long getBatchEmptyCount()

    - #### getBatchUnderflowCount

          long getBatchUnderflowCount()

    - #### getBatchCompleteCount

          long getBatchCompleteCount()

    - #### getEventDrainAttemptCount

          long getEventDrainAttemptCount()

    - #### getEventDrainSuccessCount

          long getEventDrainSuccessCount()

    - #### getStartTime

          long getStartTime()

    - #### getStopTime

          long getStopTime()

    - #### getType

          String getType()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.